Bug 208733 - net-im/finch: Seems to require graphics/gtk-update-icon-cache
Summary: net-im/finch: Seems to require graphics/gtk-update-icon-cache
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-12 02:23 UTC by Sean Bruno
Modified: 2017-09-27 18:01 UTC (History)
3 users (show)

See Also:
vlad-fbsd: maintainer-feedback? (marcus)


Attachments
poudriere log from a run with NOX11 set (24.01 KB, text/plain)
2016-04-12 02:23 UTC, Sean Bruno
no flags Details
Patch out gconf2 in net-im/libpurple unless GTKUI is set. (345 bytes, patch)
2017-09-17 18:43 UTC, cyberleo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2016-04-12 02:23:04 UTC
Created attachment 169228 [details]
poudriere log from a run with NOX11 set

I noticed that when attempting to build a NO X11 run of my ports/pkgs, net-im/finch seems to depend on graphics/gtk-update-icon-cache even though its clear that the configure args disable it.

[00:09:56] ====>> [01][00:01:04] Finished build of graphics/gtk-update-icon-cache: Failed: configure
[00:09:57] ====>> [01][00:01:05] Skipping build of net-im/finch: Dependent port graphics/gtk-update-icon-cache failed
[00:09:57] ====>> [01][00:01:05] Skipping build of devel/gconf2: Dependent port graphics/gtk-update-icon-cache failed
[00:09:57] ====>> [01][00:01:05] Skipping build of x11-toolkits/gtk20: Dependent port graphics/gtk-update-icon-cache failed
[00:09:57] ====>> [01][00:01:05] Skipping build of net-im/libpurple: Dependent port graphics/gtk-update-icon-cache failed


Log is attached to this ticket.
Comment 1 VK freebsd_triage 2017-01-12 18:31:15 UTC
Assign to maintainer.
Comment 2 cyberleo 2017-09-17 18:43:46 UTC
Created attachment 186479 [details]
Patch out gconf2 in net-im/libpurple unless GTKUI is set.

net-im/finch depends upon net-im/libpurple, but libpurple unconditionally depends upon gconf2. Attached patch conditions it upon the GTKUI knob, and allows finch to complete build in poudriere.
Comment 3 Sean Bruno freebsd_committer 2017-09-21 16:58:07 UTC
Thank you.  This does indeed do the right thing.
Comment 4 Joe Marcus Clarke freebsd_committer 2017-09-27 18:01:38 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2017-09-27 18:01:40 UTC
A commit references this bug:

Author: marcus
Date: Wed Sep 27 18:01:23 UTC 2017
New revision: 450773
URL: https://svnweb.freebsd.org/changeset/ports/450773

Log:
  Make sure we do not include gconf2 when we're not
  using the GTK+ UI.

  PR:		208733
  Submitted by:	cyberleo@cyberleo.net

Changes:
  head/net-im/finch/Makefile
  head/net-im/libpurple/Makefile